<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <main>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of receipts</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in category %}
                    <tr>
                        <td>{{ item.name }}</td>
                        <td>{{ item.receipts.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
    </main>
</body>
<header>
    <nav>
        <ul>
            {% if user.is_authenticated %}
                Hello, {{  user.username  }}
            <li><a href="{% url 'logout' %}">Logout</a></li>
            <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
            <li><a href="{% url 'account_list' %}">Account List</a></li>
            <li><a href="{% url 'category_list' %}">Category List</a></li>
            <li><a href="{% url 'create_category' %}">Create Category</a></li>
            <li><a href="{% url 'create_account' %}">Create Account</a></li>
            {% else %}
            <li><a href="{% url 'login' %}">Login</a></li>
            <li><a href="{% url 'signup' %}">Signup</a></li>
            {% endif %}
        </ul>
    </nav>
</header>
</html>
